#ifndef __RAPORTFORM_H__
#define __RAPORTFORM_H__

// place your code here
#include <QtGui>
#include <QMainWindow>
#include <QString>
#include <QtSql>
#include <QSqlTableModel>
#include <QTableView>
#include <QSqlDriverPlugin>
#include <QIcon>
#include <QVariant>
#include <QPrinter>
#include <QPrintDialog>
#include <QFileDialog>
#include <QDate>
#include "ui_raportform.h"


typedef struct soundcard {
	QString proizvoditel;
	QString ID;
	QString model;
	QString id_sys_block;
	QString inv_num;
	QString ser_num;
	
} TSoundcard;

typedef struct lancard {
	QString proizvoditel;
	QString ID;
	QString model;
	QString id_sys_block;
	QString inv_num;
	QString ser_num;
	QString speed;
	
} TLancard;


typedef struct memory {
	QString proizvoditel;
	QString tip;
	QString ID;
	QString obem;
	QString inv_num;
	QString ser_num;
	
} TMemory;

typedef struct privod {
	QString proizvoditel;
	QString tip;
	QString model;
	QString ID;
	QString speed;
	QString inv_num;
	QString ser_num;
	
} TPrivod;

typedef struct cpu {
	QString proizvoditel;
	QString model;
	QString ID;
	QString slot;
	QString inv_num;
	QString ser_num;
	QString fqr;
	
} TCpu;

typedef struct videocard {
	QString ID;
	QString proizvoditel;
	QString model;
	QString interfeis;
	QString memory_value;
	QString id_sys_block;
	QString ser_num;
	QString inv_num;
} TVideocard;

typedef struct matheboard {
	QString proizvoditel;
	QString model;
	QString ID;
	QString ser_num;
	QString inv_num;

	
} TMatheboard;

typedef struct harddisc {
	QString ID;
	QString proizvoditel;
	QString interfeis;
	QString obem;
	QString model;
	QString ser_num;
	QString inv_num;

	
} THarddisc;


typedef struct system_block {
	QString ID;
	QString inv_num;
	QString ser_num;
	QVariant date;
	QVariant garantiya;
	QString id_otv_lica;
	QList<TMatheboard> mb_list;
	QList<TMemory> memory_list;
	QList<TCpu> cpu_list;
	QList<THarddisc> harddisc_list;
	QList<TPrivod> privod_list;
	QList<TVideocard> videocard_list;
	QList<TSoundcard> soundcard_list;
	QList<TLancard> lancard_list;
	
} TSystemBlock;


typedef struct user {
	QString name;
	QString ID;
	QList <TSystemBlock> system_block_list;
} TUser;

typedef struct otdel {
	QString name;
	QString ID;
	QList <TUser> user_list;
} TOtdel;

typedef struct sibgipro 
{
	QList <TOtdel> otdel_list;
} TSibgipro;

class raportForm : public QMainWindow, public Ui::raportWindow
{





Q_OBJECT
public:
	//raportForm( QWidget * parent = 0, Qt::WFlags f = 0 );
	raportForm();
	~raportForm();
private slots:

void create_raport();
void on_pushButton_clicked();
//QStringList get_otgel_list();
void on_print_raport();
void on_print_raport_to_pdf();

private:
QTextDocument *document;
// = ui->textEdit->document();
QTextCursor *cursor;
void print_raport();
void print_raport_to_pdf();
TSibgipro get_sibgipro(); //    
QList<TOtdel> get_otdel_list();
QList<TUser> get_user_list(QString otdel_ID);
QList<TSystemBlock> get_sys_block_list(QString id_otv_lica); //   ,     
QList<TMatheboard> get_matheboard_list(QString id_system_block); //   ,     
QList<TMemory> get_memory_list(QString id_system_block);
QList<THarddisc> get_harddisc_list(QString id_system_block);
QList<TCpu> get_cpu_list(QString id_system_block);
QList<TPrivod> get_privod_list(QString id_system_block);
QList<TVideocard> get_videocard_list(QString id_system_block);
QList<TSoundcard> get_soundcard_list(QString id_system_block);
QList<TLancard> get_lancard_list(QString id_system_block);
//QList<THarddisc> get_harddisc_list(QString id_system_block);
void bild_raport();


QList<TOtdel> otdel_list;

 

public:
QSqlDatabase *pdb; 

};


#endif // __RAPORTFORM_H__
